Bug 121079 - Internal compiler error in find_reloads_toplev, at reload.c:4439
Internal compiler error in find_reloads_toplev, at reload.c:4439
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 17:22 EDT by Gert Vervoort
Modified: 2007-04-18 13:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 11:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C program used to reproduce the bug (1.78 KB, text/plain)
2004-04-16 17:23 EDT, Gert Vervoort
no flags Details

  None (edit)
Description Gert Vervoort 2004-04-16 17:22:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
Compiler error when using -O or higher:

[gert@viper tmp]$ gcc -g -march=pentium3 -std=c99 invert_image.c
[gert@viper tmp]$ gcc -g -O -march=pentium3 -std=c99 invert_image.c
invert_image.c: In function `invert_image_mmx':
invert_image.c:26: Internal compiler error in find_reloads_toplev, at
reload.c:4439
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[gert@viper tmp]$ 


Version-Release number of selected component (if applicable):
gcc-3.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. gcc -g -O -march=pentium3 -std=c99 invert_image.c
2.
3.
    

Actual Results:  [gert@viper tmp]$ gcc -g -O -march=pentium3 -std=c99
invert_image.c
invert_image.c: In function `invert_image_mmx':
invert_image.c:26: Internal compiler error in find_reloads_toplev, at
reload.c:4439
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[gert@viper tmp]$ 

Expected Results:  [gert@viper tmp]$ gcc -g -march=pentium3 -std=c99
invert_image.c
[gert@viper tmp]$

Additional info:
Comment 1 Gert Vervoort 2004-04-16 17:23:53 EDT
Created attachment 99495 [details]
C program used to reproduce the bug
Comment 2 Miloslav Trmac 2004-04-17 08:55:07 EDT
Seems to work fine with gcc-3.3.2-1 (FC1).

Note You need to log in before you can comment on or make changes to this bug.